Get Client Matters
curl --request GET \
--url https://api.harvey.ai/api/v1/client_matters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.harvey.ai/api/v1/client_matters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.harvey.ai/api/v1/client_matters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_matters": [
{
"id": "018d856f-0664-772c-9ed9-b2316fd881d3",
"user_email": "user@example.com",
"name": "1234-5678",
"description": "Client B - Project Test",
"user_count": 8,
"total_events": 37,
"created_at": "2024-02-07T21:22:29.478Z",
"deleted_at": "2024-02-22T16:45:10.209Z",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matter_number": "M001"
}
]
}Retrieve
Get Client Matters
Retrieves the full list of client matters in Harvey, including deleted ones, with usage statistics.
GET
/
api
/
v1
/
client_matters
Get Client Matters
Permissions
Requires either Access client matters (read:client_matters) or Client matters admin (write:client_matters). A token with write access does not also need read access.